Name:           kioskvt
Version:        0.2
Release:        0
Summary:        Scripts to use Gnome-kiosk/Ptyxis in your Virtual Terminal
License:        MIT
Group:          System/Console
URL:            https://gitlab.com/kdj0c/userspacevt.git
Source:         https://gitlab.com/kdj0c/userspacevt/-/archive/%{version}/userspacevt-%{version}.tar.bz2
Requires:       bash
Requires:       gnome-kiosk
Requires:       ptyxis
Requires:       userspacevt
BuildRequires: systemd

BuildArch:      noarch

%description
Kioskvt is a set of systemd units and shell scripts, to replace your VT with
gnome-kiosk (Wayland compositor) and ptyxis (Gnome terminal)

%prep
%setup -q -n userspacevt-%{version}

%build

%install
pushd kioskvt
cp -a usr/ etc/ %{buildroot}/
popd

%files
%license LICENSE
%{_libexecdir}/%{name}/*.sh
%{_unitdir}/*.service
%{_sysusersdir}/*.conf
%{_sysconfdir}/pam.d/%{name}

%changelog
* Wed Mar 26 2025 Jocelyn Falempe jfalempe@redhat.com
- Initial spec file
